#!/usr/bin/make

# pbprob.mak Version 0.3.0 - Compile pbprob.c
# Copyright (C) 2002-2010   dondalah721@yahoo.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

OBJ=pbprob.o \
	getpb.o \
	combo.o

CC=gcc

CFLAGS=-c -Wall -O6

LDFLAGS=-lm

pbprob:		$(OBJ)
	$(CC) -Wall -O6 $(OBJ) -o pbprob $(LDFLAGS)

pbprob.o:	pbprob.c
	$(CC) $(CFLAGS) pbprob.c

getpb.o:	getpb.c
	$(CC) $(CFLAGS) getpb.c

combo.o:	combo.c
	$(CC) $(CFLAGS) combo.c

clean:
	rm -f $(OBJ) pbprob
